Subject: Re: bug#59691: 29.0.60; typescript-ts-mode: any HTML-like elements causes fontification to become invalid and remaining parse-tree to become jsx-expression

From: Theodor Thornhill <[email-masked]>
Date: Fri, 02 Dec 2022 23:54:40 +0100

On 2 December 2022 22:28:36 CET, "Jostein Kjønigsen" <[email-masked]> wrote:
>
>>> Cool. I applied the patch, thanks Theo! I changed typescript-ts-mode—base-mode to typescript-ts-base-mode, since I don’t think anyone has strong opinions about its naming, and typescript-ts-base-mode is more consistent with other tree-sitter base modes.
>>> Yuan
>> Thanks!  I believe this can be closed.  What do you think, Jostein?
>> 
>> Theo
>
>Hey guys.
>
>Amazing work! Sorry for being somewhat slow wrt to testing.
>
>I had to rebuild some tree-sitter libraries, and the build-code in admin/notes/tree-sitter/ seemingly didn't work out of the box for both plain typescript and tsx. Yadda, yadda, yadda. I've modified the scripts to also build for typescript/tsx. Do you wan't me to send in a patch for that, Yuan?
>

I've already sent a patch for that :)

>Back to the point: Either way, I've tested both TS-code and TSX-code now, and it seems to work much better.
>

Yay!

>I still see some errors in TSX-code I can't recall seing in the old mode (and I might report those issues, once I have time to collect more accurate data on them), but for now I definitely think what we have here warrants marking this particular bug as closed. :)

Great news! We'll get to the other stuff in due time :)

Theo